GET
/attribute-groups
http://servicecatalog-appregistry.{region}.amazonaws.com/attribute-groupsLists all attribute groups which you have access to. Results are paginated.
Access Token Required: API Key
Query Params
nextTokenstring
The token to use to get the next page of results after a previous API call.
maxResultsinteger
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://servicecatalog-appregistry.{region}.amazonaws.com/attribute-groups' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}